Package com.avaya.clientservices.client

## Enum Client.LogLevel

- java.lang.Object
- - java.lang.Enum<Client.LogLevel>
  - - com.avaya.clientservices.client.Client.LogLevel

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<Client.LogLevel>`
  Enclosing class:
    Client

      public static enum Client.LogLevel
      extends java.lang.Enum<Client.LogLevel>

  Log levels used by Avaya Client Services.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `DEBUG` |
    `ERROR` |
    `INFO` |
    `WARNING` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `intValue()` |
    `static Client.LogLevel` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static Client.LogLevel[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ERROR

          public static final Client.LogLevel ERROR

    - #### WARNING

          public static final Client.LogLevel WARNING

    - #### INFO

          public static final Client.LogLevel INFO

    - #### DEBUG

          public static final Client.LogLevel DEBUG

  - ### Method Detail

    - #### values

          public static Client.LogLevel[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Client.LogLevel c : Client.LogLevel.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Client.LogLevel valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### intValue

          public int intValue()